Subject: bug#29246: closed (Re: bug#29246: Possible solution?)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 23 Nov 2019 16:35:10 +0000

Your bug report

#29246: 26.0.90; Wrong type argument: integer-or-marker-p, nil in flymake--highlight-line

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29246: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29246
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29246: Possible solution?
From: Stefan Kangas <[email-masked]>
To: Lele Gaifax <[email-masked]>
Cc: [email-masked]
Date: Sat, 23 Nov 2019 17:34:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Lele Gaifax <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Could you please provide a recipe for how to reproduce the original
>> issue?
>
> I think this can be closed: I kept the mentioned override in my .emacs.d for a
> while, but at some point (sorry, lost track) I tried to remove it and never
> experienced the problem again: I'm using stock version since many moons ago.
>
> By any chance, something has been fixed in flymake-diag-region.

Thanks for reporting back.  Closing now.

Best regards,
Stefan Kangas

Subject: 26.0.90; Wrong type argument: integer-or-marker-p, nil in flymake--highlight-line
From: Lele Gaifax <[email-masked]>
To: [email-masked]
Date: Fri, 10 Nov 2017 17:08:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I recompiled my Emacs this morning, to get advantage of the fix to issue
#29174:

In GNU Emacs 26.0.90 (build 3, x86_64-pc-linux-gnu, GTK+ Version 3.22.25)
 of 2017-11-10 built on nautilus
Repository revision: e6f1fd40916afb692bd25e845ee87e73549201f4

I got an error with the following backtrace, keeping the backspace key pressed
to delete a dozen of characters on the last line of a Python buffer:

Debugger entered--Lisp error: (wrong-type-argument integer-or-marker-p nil)
  make-overlay(nil nil)
  (and t (make-overlay (progn (or (and (memq (type-of diagnostic) cl-struct-flymake--diag-tags) t) (signal 'wrong-type-argument (list 'flymake--diag diagnostic))) (aref diagnostic 2)) (progn (or (and (memq (type-of diagnostic) cl-struct-flymake--diag-tags) t) (signal 'wrong-type-argument (list 'flymake--diag diagnostic))) (aref diagnostic 3))))
  (let* ((ov (and t (make-overlay (progn (or (and (memq (type-of diagnostic) cl-struct-flymake--diag-tags) t) (signal 'wrong-type-argument (list 'flymake--diag diagnostic))) (aref diagnostic 2)) (progn (or (and (memq (type-of diagnostic) cl-struct-flymake--diag-tags) t) (signal 'wrong-type-argument (list 'flymake--diag diagnostic))) (aref diagnostic 3)))))) (if ov (progn (let ((alist (assoc-default (progn (or (and (memq (type-of diagnostic) cl-struct-flymake--diag-tags) t) (signal 'wrong-type-argument (list 'flymake--diag diagnostic))) (aref diagnostic 4)) flymake-diagnostic-types-alist))) (overlay-put ov 'category (assoc-default 'flymake-category alist)) (let* ((--cl-var-- alist) (v nil) (k nil)) (while (consp --cl-var--) (setq v (car --cl-var--) k (car-safe (prog1 v (setq v (cdr v))))) (if (eq k 'category) (progn) (overlay-put ov k v)) (setq --cl-var-- (cdr --cl-var--))) nil)) (let* ((--cl-default-maybe-- (function (lambda (prop value) (if (or (plist-member (overlay-properties ov) prop) (let ((cat (overlay-get ov 'flymake-category))) (and cat (plist-member (symbol-plist cat) prop)))) nil (overlay-put ov prop value)))))) (progn (funcall --cl-default-maybe-- 'bitmap 'flymake-error-bitmap) (funcall --cl-default-maybe-- 'face 'flymake-error) (funcall --cl-default-maybe-- 'before-string (flymake--fringe-overlay-spec (overlay-get ov 'bitmap))) (funcall --cl-default-maybe-- 'help-echo (function (lambda (window _ov pos) (let ((save-selected-window--state (internal--before-with-selected-window window))) (save-current-buffer (unwind-protect (progn (select-window (car save-selected-window--state) 'norecord) (mapconcat (function flymake--diag-text) (flymake-diagnostics pos) "\n")) (internal--after-with-selected-window save-selected-window--state))))))) (funcall --cl-default-maybe-- 'severity (warning-numeric-level :error)) (funcall --cl-default-maybe-- 'priority (+ 100 (overlay-get ov 'severity))))) (overlay-put ov 'evaporate t) (overlay-put ov 'flymake-diagnostic diagnostic))))
  flymake--highlight-line(#s(flymake--diag :buffer #<buffer ddl.py> :beg nil :end nil :type :note :text "W292 no newline at end of file" :backend nil))
  #f(compiled-function (diag) #<bytecode 0x19f668d>)(#s(flymake--diag :buffer #<buffer ddl.py> :beg nil :end nil :type :note :text "W292 no newline at end of file" :backend nil))
  mapc(#f(compiled-function (diag) #<bytecode 0x19f668d>) (#s(flymake--diag :buffer #<buffer ddl.py> :beg 2915 :end 2916 :type :error :text "F821 undefined name 'pdb'" :backend python-flymake) #s(flymake--diag :buffer #<buffer ddl.py> :beg nil :end nil :type :note :text "W292 no newline at end of file" :backend nil)))
  flymake--handle-report(python-flymake backend-token989 (#s(flymake--diag :buffer #<buffer ddl.py> :beg 2915 :end 2916 :type :error :text "F821 undefined name 'pdb'" :backend python-flymake) #s(flymake--diag :buffer #<buffer ddl.py> :beg nil :end nil :type :note :text "W292 no newline at end of file" :backend nil)))
  apply(flymake--handle-report python-flymake backend-token989 (#s(flymake--diag :buffer #<buffer ddl.py> :beg 2915 :end 2916 :type :error :text "F821 undefined name 'pdb'" :backend python-flymake) #s(flymake--diag :buffer #<buffer ddl.py> :beg nil :end nil :type :note :text "W292 no newline at end of file" :backend nil)))
  #f(compiled-function (&rest args) #<bytecode 0x18f3015>)((#s(flymake--diag :buffer #<buffer ddl.py> :beg 2915 :end 2916 :type :error :text "F821 undefined name 'pdb'" :backend python-flymake) #s(flymake--diag :buffer #<buffer ddl.py> :beg nil :end nil :type :note :text "W292 no newline at end of file" :backend nil)))
  python--flymake-parse-output(#<buffer ddl.py> #<process python-flymake> #f(compiled-function (&rest args) #<bytecode 0x18f3015>))
  #f(compiled-function (proc event) #<bytecode 0x1134fb5>)(#<process python-flymake> "exited abnormally with code 1\n")

Thanks&bye,
so-sorry-to-bother-you-again-ly, lele.
-- 
nickname: Lele Gaifax | Quando vivrò di quello che ho pensato ieri
real: Emanuele Gaifas | comincerò ad aver paura di chi mi copia.
[email-masked]  |                 -- Fortunato Depero, 1929.